Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.controls
Class DateTimeControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
              org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
                  org.eclipse.emf.ecp.edit.internal.swt.controls.DateTimeControl

All Implemented Interfaces:
  ECPControlSWT

Deprecated.

    @Deprecated
    public class DateTimeControl

extends SingleControl

This class defines a DateTimeControl which is used for displaying `EStructuralFeature`s which have a date value.

Author:
  Eugen Neufeld

Constructor Summary
`DateTimeControl()` Deprecated.

Method Summary
`org.eclipse.core.databinding.Binding` | `bindValue()` Deprecated. Triggers the control to perform the databinding.
`void` | `setEditable(boolean isEditable)` Deprecated. Sets the state of the widget to be either editable or not.

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
`dispose, handleValidation, resetValidation, showLabel`

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
`createControl, createControls, setObservableValue`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, init, setEmbedded`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTimeControl

    public DateTimeControl()

  Deprecated.

Method Detail

### setEditable

    public void setEditable(boolean isEditable)

  Deprecated.
  Sets the state of the widget to be either editable or not.

  Overrides:
    `setEditable` in class `ECPAbstractControl`
  Parameters:
    `isEditable` - whether to set the widget editable

### bindValue

    public org.eclipse.core.databinding.Binding bindValue()

  Deprecated.
  Description copied from class: `SWTControl`
  Triggers the control to perform the databinding.

  Returns:
    The `Binding`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.